<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
{{ hugo.Generator }}
{{- $outputFormat := partial "outputformat.html" . -}}

{{ range .AlternativeOutputFormats -}}
<link rel="{{ .Rel }}" type="{{ .MediaType.Type }}" href="{{ .Permalink | safeURL }}">
{{ end -}}

{{ if and hugo.IsProduction (ne $outputFormat "print") -}}
<META NAME="ROBOTS" CONTENT="INDEX, FOLLOW">
{{ else -}}
<META NAME="ROBOTS" CONTENT="NOINDEX, NOFOLLOW">
{{ end -}}

{{ partialCached "favicons.html" . }}
<title>{{ if .IsHome }}{{ .Site.Title }}{{ else }}{{ with .Title }}{{ . }} | {{ end }}{{ .Site.Title }}{{ end }}</title>
<!-- for search engine optimization and third-party search engines like Elastic App Search-->
{{ if .Page.Description }}
<meta name="description" content="{{ .Page.Description }}">
{{ else }}
{{ $desc := (.Page.Content | safeHTML | truncate 150) }}
<meta name="description" content="{{ $desc }}">
{{ end }}

{{- template "_internal/opengraph.html" . -}}
{{- template "_internal/google_news.html" . -}}
{{- template "_internal/schema.html" . -}}
{{- template "_internal/twitter_cards.html" . -}}

{{ partialCached "head-css.html" . "asdf" }}
<script src="https://code.jquery.com/jquery-3.5.1.min.js"
  integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
{{ if .Site.Params.offlineSearch }}
<script src="https://unpkg.com/lunr@2.3.8/lunr.min.js"
  integrity="sha384-vRQ9bDyE0Wnu+lMfm57BlYLO0/XauFuKpVsZPs7KEDwYKktWi5+Kz3MP8++DFlRY" crossorigin="anonymous"></script>
<!-- ★ 日本語追加 -->
<script src="https://cdn.jsdelivr.net/npm/lunr-languages@1.9.0/lunr.stemmer.support.js"
  crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/lunr-languages@1.9.0/tinyseg.js" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/lunr-languages@1.9.0/lunr.ja.js" crossorigin="anonymous"></script>
{{end}}
{{ if .Site.Params.prism_syntax_highlighting }}
<!-- stylesheet for Prism -->
<link rel="stylesheet" href="{{ " /css/prism.css" | relURL }}" />
{{ end }}
{{ partial "hooks/head-end.html" . }}
<!--To comply with GDPR, cookie consent scripts places in head-end must execute before Google Analytics is enabled -->
{{ if hugo.IsProduction }}
{{ if hasPrefix .Site.GoogleAnalytics "G-"}}
{{ template "_internal/google_analytics.html" . }}
{{ else }}
{{ template "_internal/google_analytics_async.html" . }}
{{ end }}
{{ end }}